The CONCAT command fails with a great number of files to concatenate
Status: Closed Start date: 10/05/2012

Priority: Normal Due date:  

Assignee: Pierre Marc % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.15   

Operating System: Any Tested: Yes

Version:    

Description

When the number of files to concatenate is quiet important, the CONCAT command fails with a an error code telling that some files

are not found.

History

#1 - 10/05/2012 10:10 AM - Pierre Marc

- Status changed from New to In Progress

- Target version set to 2.15

This is a bug due to a buffer limitation on the IN parameter of the CONCCAT command. This will be corrected in v2.15.

#2 - 10/05/2012 10:12 AM - Pierre Marc

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

- Tested changed from No to Yes

Corrected in v 2.15. We change the static buffer to a dynamic memory allocation in order to avoid any limitation. The same correction has been made

for the PAGE parameter of the MERGE command.

#3 - 02/01/2013 11:53 AM - Pierre Marc

- Status changed from Resolved to Closed
